%bcond_with bootstrap

Summary:        Tools for internationalizing Python applications
Name:           babel
Version:        2.12.1
Release:        3%{?dist}
License:        BSD
URL:            https://babel.pocoo.org/
Source0:        %{pypi_source Babel}

Patch0001:      0001-Freeze-format_time-tests-to-a-specific-date-to-fix-t.patch

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools
%if !%{with bootstrap}
BuildRequires:  python3-pytz python3-pytest
BuildRequires:  python3-freezegun
%endif
BuildRequires:  make

Requires:       python3-babel python3-setuptools


%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.


%package -n python3-babel
Summary:        Library for internationalizing Python applications

Requires:       python3-setuptools python3-pytz
Provides:       python3-babel

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -p1 -n Babel-%{version}

%build
%py3_build

%install
%py3_install

%check
export TZ=UTC
%if !%{with bootstrap}
%{__python3} -m pytest
%endif

%files
%license LICENSE
%doc CHANGES.rst AUTHORS
%{_bindir}/pybabel

%files -n python3-babel
%{python3_sitelib}/Babel-%{version}-py*.egg-info/
%{python3_sitelib}/babel/


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.12.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.12.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 20 2023 kianli <kianli@tencent.com> - 2.12.1-1
- Upgrade to 2.12.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 02 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.9.1-2
- rebuilt

* Mon Jan 30 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.9.1-1
- initial build
